curl --request POST \
--url https://api.qovery.com/organization/{organizationId}/parseTerraformVariablesFromGitRepo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"git_repository": {
"url": "https://github.com/Qovery/simple-node-app",
"provider": "BITBUCKET",
"branch": "feat/text_xxx",
"root_path": "/",
"git_token_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
'{
"results": [
{
"key": "<string>",
"sensitive": true,
"source": "<string>",
"nullable": true,
"default": "<string>",
"description": "<string>"
}
]
}curl --request POST \
--url https://api.qovery.com/organization/{organizationId}/parseTerraformVariablesFromGitRepo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"git_repository": {
"url": "https://github.com/Qovery/simple-node-app",
"provider": "BITBUCKET",
"branch": "feat/text_xxx",
"root_path": "/",
"git_token_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
'{
"results": [
{
"key": "<string>",
"sensitive": true,
"source": "<string>",
"nullable": true,
"default": "<string>",
"description": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://qovery-docs-ai-use-cases-highlight.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Organization ID
Show child attributes
List of Terraform variable definitions
Show child attributes
Was this page helpful?